## pptpd 1.3.0

=== plugins/Makefile ===
CC	= gcc
COPTS	= -O2 -g
CFLAGS	= $(COPTS) -I.. -I../../include -fPIC
LDFLAGS	= -shared
INSTALL	= install -o root
prefix  = /usr/local

PLUGINS = pptpd-logwtmp.so

# include dependencies if present
ifeq (.depend,$(wildcard .depend))
include .depend
endif

all:	$(PLUGINS)

%.so: %.c
	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^

LIBDIR	= $(DESTDIR)$(prefix)/lib/pptpd

install: $(PLUGINS)
	$(INSTALL) -d $(LIBDIR)
	$(INSTALL) $? $(LIBDIR)

uninstall:
	rm -f $(LIBDIR)$(PLUGINS)

clean:
	rm -f *.o *.so *.a

depend:
	$(CPP) -M $(CFLAGS) *.c >.depend

## pptpd 1.3.4+27+gddb30f8

=== plugins/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 COPTS	= -O2 -g
 CFLAGS	= $(COPTS) -I.. -I../../include -fPIC
 LDFLAGS	= -shared
+LDADD   = -lutil
 INSTALL	= install -o root
 prefix  = /usr/local
 
@@ -15,9 +16,9 @@
 all:	$(PLUGINS)
 
 %.so: %.c
-	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^
+	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $^ $(LDADD)
 
-LIBDIR	= $(DESTDIR)$(prefix)/lib/pptpd
+LIBDIR	?= $(DESTDIR)$(prefix)/lib/pptpd
 
 install: $(PLUGINS)
 	$(INSTALL) -d $(LIBDIR)

=== debian/changelog ===
pptpd (1.3.4+27+gddb30f8-1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian (LP: #704245).  Remaining changes:
    - Remove stop links from rc0 and rc6.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Oct 2013 06:46:31 -0700

pptpd (1.3.4+27+gddb30f8-1) unstable; urgency=low

  * New upstream version from git commit ddb30f8
  * Time to say thanks to Rene Mayrhofer for maintaining pptpd for
    almost 14 years.
  * Modernize Debianisation
  * Update debian/watch file, thanks Bart Martens
  * Drop debconf usage. Closes: #209082
  * Update hint about IP forwarding. Closes: #496596, #491429
  * Update package description. Closes: #473713
  * Add a manpage for bcrelay. Special thanks to Khang Nguyen Trong.
    Closes: #426553
  * Catch missing EOL at EOF. Closes: #567480
  * Update config files from newer upstream versions. (LP:704220)
  * Fix IDLE_WAIT implementation. Closes: #692654
  * Rewrite init script
  * Provide systemd service definition
  * Restrict os to linux for the time being
  * Fix FTBFS, thanks Hideki Yamane. Closes: #725559

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 20 Oct 2013 15:48:30 +0200

pptpd (1.3.4-6ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove stop links from rc0 and rc6.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2013 16:48:10 +0000

pptpd (1.3.4-6) unstable; urgency=low

  * New maintainer
  * Enable hardening build flags. Closes: #656650

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 05 Feb 2013 22:36:53 +0100

pptpd (1.3.4-5.2ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove stop links from rc0 and rc6.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Dec 2012 16:51:39 +0000

pptpd (1.3.4-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Handle ENOBUFS gracefully.
    Closes: #692129: pptpd: PPTP Connections Drop
  * Programming error, reference to a stack variable used out of scope in
    arguments to execvp call.
    Closes: #693136: pptpd: Binary trash when launching ppp

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Nov 2012 16:21:01 +0100

pptpd (1.3.4-5.1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove stop links from rc0 and rc6.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 00:13:10 +0000

pptpd (1.3.4-5.1) unstable; urgency=low

  * Non-maintainer upload
  * Remove debian/conffiles, avoids debsum mismatches regarding conffiles
    (Closes: #689779)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 28 Oct 2012 17:19:04 +0100

pptpd (1.3.4-5ubuntu3) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 16:51:24 +0100

pptpd (1.3.4-5ubuntu2) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 18:00:35 +0100

pptpd (1.3.4-5ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #789260).  Remaining changes:
    - debian/rules: pass manual arguments to dh_installinit.
    - debian/pptpd.init: update LSB Default-Stop header.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 27 May 2011 14:49:16 -0400

pptpd (1.3.4-5) unstable; urgency=medium

  Urgency medium because 1.3.4-4 broke connections for some settings.
  * Fix bug introduced by last change adding the remotenumber parameter
    to pppd. Thanks to Michael Poetters for the patch!
    Closes: #625459: pppctrl fixup
    Closes: #622258: pptpd: Impossible to establish connection

 -- Rene Mayrhofer <rmayr@debian.org>  Sat, 07 May 2011 22:39:57 +0200

pptpd (1.3.4-4) unstable; urgency=low

  * Apply patch provided by Sergey Naumov to fix a segmentation fault
    when invalid IP ranges are specified in the config file (upper <
    lower)
  * Apply patch provided by Igor A Tarasov to pass the remotenumber
    command line option to pppd, which is then used for th radius
    plugin.
    Closes: #610375: remotenumber support
  * Report that the init script also supports a "status" option.
    Closes: #536424: init.d script error message does not mention
                     "status" action

 -- Rene Mayrhofer <rmayr@debian.org>  Tue, 29 Mar 2011 11:03:36 +0200

pptpd (1.3.4-3ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules: pass manual arguments to dh_installinit.
    - debian/pptpd.init: update LSB Default-Stop header.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Nov 2010 20:41:04 +0100

pptpd (1.3.4-3) unstable; urgency=low

  * Add build-dependency to ppp-dev >=2.4.5-3 and depend on ppp >=2.4.5-3
    to make logwtmp plugin work again.
    Closes: #593278: ppp 2.4.5 implies a recompilation pf pptpd
  * Fixed a typo in the README file.
  * Acknowledge NMU. (Closes: #458476)
  * Update debian policy version to 3.9.1, no notable changes to packaging.

 -- Rene Mayrhofer <rmayr@debian.org>  Sat, 25 Sep 2010 22:13:16 +0200

pptpd (1.3.4-2.1ubuntu1.9.04.2) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 01:01:56 +0100

pptpd (1.3.4-2.1ubuntu1.9.04.1) jaunty-proposed; urgency=low

  * no-change rebuild to pick up ppp 2.4.5 (LP: #352622)

 -- Alexander Sack <asac@ubuntu.com>  Sat, 02 May 2009 13:35:52 +0200

pptpd (1.3.4-2.1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Update Maintainer field.
    - Implement new TearDown spec:
      - debian/rules: pass manual arguments to dh_installinit.
      - debian/pptpd.init: update LSB Default-Stop header.
  * Dropped:
    - debian/pptpd.postinst: 
      remove stop links from rc0 and rc6 (dapper upgrade).
    - debian/control: sysv-rc dependency.

 -- Mathias Gug <mathiaz@ubuntu.com>  Thu, 19 Jun 2008 00:11:01 -0400



=== debian/control ===
Source: pptpd
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9),
    automake,
    hardening-wrapper,
    libwrap0-dev,
    ppp-dev,
Homepage: http://poptop.sourceforge.net/dox/

Package: pptpd
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    bcrelay,
    netbase,
    ppp,
Description: PoPToP Point to Point Tunneling Server
 This implements a Virtual Private Networking Server (VPN) that is
 compatible with Microsoft VPN clients. It allows Windows users to
 connect to an internal firewalled network using their dialup.

Package: bcrelay
Architecture: linux-any
Replaces: pptpd (<< 1.2.3-1),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Broadcast relay daemon
 The bcrelay daemon relays broadcasts between two interfaces. It is
 shipped with the pptpd package, but can be used for other purposes.

## pptpd 1.4.0

=== debian/changelog ===
pptpd (1.4.0-7ubuntu0.2) xenial; urgency=medium

  * Backport "Fix systemd check in postinst." from 1.4.0-9
    fixed via Debian bug 829418 (LP: #1610500)

 -- Simon Deziel <simon.deziel@gmail.com>  Wed, 28 Jun 2017 17:44:00 +0000

pptpd (1.4.0-7ubuntu0.1) xenial; urgency=medium

  * backport "Install the module load helper to etc/modules-load.d/"
    from 1.4.0-8 fixed via debian bug 798774 (LP: #1571295)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 19 Jul 2016 11:59:38 +0200

pptpd (1.4.0-7) unstable; urgency=high

  * bcrelay: Fix typo in the manpage
  * Packaging maintenance
    - Fix typo in debian/copyright
    - Remove obsolete license from debian/copyright
    - Remove obsolete dependency
  * Make hardening build work, use dh-autoreconf
  * Use dh_ppp to manage dependencies on ppp. Closes: #805567

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 04 Dec 2015 21:19:34 +0100

pptpd (1.4.0-6) unstable; urgency=low

  * Packaging maintenance
    - Update and refresh patch queue
    - Upgrade to Standards-Version: 3.9.6, no changes
    - Cleanup
  * Load PPTP NAT helper kernel module. Closes: #780181
  * Remove stop links from rc0 and rc6 (Teardown project).
    Closes: #700868
  * Use dh-systemd to install the service file, but don't enable it
    automatically
  * pptpctrl: exit when bailing (cherry-picked from upstream git)

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 26 Aug 2015 08:05:17 +0200

pptpd (1.4.0-5) unstable; urgency=medium

  * Fix description of patch introduced in 1.4.0-4

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 04 Nov 2014 23:30:46 +0100

pptpd (1.4.0-4) unstable; urgency=medium

  * Fix buffer overflow from overlong interface names in bcrelay.
    Closes: #765442
  * Fixes an important bug, urgency set to medium

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 26 Oct 2014 20:50:20 +0100

pptpd (1.4.0-3) unstable; urgency=low

  * Fix status check in init script. Closes: #747146
  * Don't break existing connections when using systemd.
    Closes: #752094

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 15 Jul 2014 18:40:38 +0200

pptpd (1.4.0-2) unstable; urgency=low

  * Re-compile against ppp 2.4.6, Closes: #745770

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 24 Apr 2014 22:33:48 +0000

pptpd (1.4.0-1) unstable; urgency=low

  * New upstream version

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 23 Oct 2013 17:35:35 +0200

=== debian/control ===
Source: pptpd
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: http://poptop.sourceforge.net/dox/
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
    automake,
    dh-autoreconf,
    dh-systemd,
    libwrap0-dev,
    ppp-dev (>= 2.4.7-1+~),
Priority: optional
Section: net

Package: pptpd
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    bcrelay,
    netbase,
Description: PoPToP Point to Point Tunneling Server
 This implements a Virtual Private Networking Server (VPN) that is
 compatible with Microsoft VPN clients. It allows Windows users to
 connect to an internal firewalled network using their dialup.

Package: bcrelay
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Broadcast relay daemon
 The bcrelay daemon relays broadcasts between two interfaces. It is
 shipped with the pptpd package, but can be used for other purposes.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with systemd --with autoreconf --with ppp

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--with-libwrap \
		--enable-bcrelay

override_dh_install:
	dh_install --fail-missing
	install -D -m 644 debian/modules-load.conf debian/pptpd/etc/modules-load.d/pptpd.conf

override_dh_installdocs:
	dh_installdocs --exclude=test.txt

override_dh_installinit:
	dh_installinit -- start 20 2 3 4 5 . stop 20 1 .

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

## pptpd 1.5.0

=== debian/changelog ===
pptpd (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0. Closes: #1071335

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 18 May 2024 12:10:09 +0200

pptpd (1.4.0-13) unstable; urgency=medium

  * Adjust for pppd 2.5. Closes: #1056898

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 21 Apr 2024 09:43:03 +0200

pptpd (1.4.0-12) unstable; urgency=medium

  * Packaging cleanup

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 26 Dec 2020 18:12:13 +0100

pptpd (1.4.0-11) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * Terminate sessions upon daemon restart to avoid session re-usage.
    Reopens: #752094
  * Document the daemon is disabled by default
  * Propagate CC to subdirectories. Closes: #886160

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 04 Jan 2018 08:25:03 +0100

pptpd (1.4.0-10) unstable; urgency=medium

  * Check for remote IP duplicates in pptpd.conf
  * Fix segfault in pptpctrl argument parser
  * Complete the fix for #798774 ("Install the module load helper to
    etc/modules-load.d/")

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 18 Jul 2016 20:41:18 +0200

pptpd (1.4.0-9) unstable; urgency=medium

  * Fix systemd check in postinst. Closes: #829418
  * Fix a typo in the pptpd manpage
  * Upgrade to Standards-Version: 3.9.8, no changes

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 03 Jul 2016 20:34:15 +0200

pptpd (1.4.0-8) unstable; urgency=low

  * Enable full hardening build
  * Add Documentation key to systemd service file
  * Install the module load helper to etc/modules-load.d/.
    Closes: #798774

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 01 Jul 2016 23:35:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: pptpd
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: http://poptop.sourceforge.net/dox/
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9),
-    automake,
-    dh-autoreconf,
-    dh-systemd,
+Standards-Version: 4.7.0
+Vcs-Browser: https://git.in-ulm.de/cbiedl/pptpd
+Vcs-Git: https://git.in-ulm.de/cbiedl/pptpd.git
+Build-Depends: debhelper-compat (= 13),
+    dh-sequence-ppp,
     libwrap0-dev,
-    ppp-dev (>= 2.4.7-1+~),
+    ppp-dev (>= 2.5.0-1+~),
 Priority: optional
+Rules-Requires-Root: no
 Section: net
 
 Package: pptpd
 Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
     bcrelay,
     netbase,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--with-libwrap \
		--enable-bcrelay

override_dh_installdocs:
	dh_installdocs --exclude=test.txt

override_dh_installinit:
	dh_installinit -- start 20 2 3 4 5 . stop 20 1 .

override_dh_installsystemd:
	dh_installsystemd --no-enable

=== debian/watch ===
version=4
http://qa.debian.org/watch/sf.php/poptop/ \
(?:.*/|.*=|)@PACKAGE@[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
